%define upstream_name    POE-Component-Client-NTP
%define upstream_version 0.06

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    A POE Component to query NTP servers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/POE/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(IO::Socket::INET)
BuildRequires: perl(Net::IP)
BuildRequires: perl(POE) >= 1.4.0
BuildRequires: perl(Socket)
BuildArch:  noarch

%description
POE::Component::Client::NTP is a the POE manpage component that provides
Network Time Protocol (NTP) client services to other POE sessions and
components.

NTP is a protocol for synchronising the clocks of computer systems over
data networks and is described in RFC 1305 and RFC 2030.

The code in this module is derided from the Net::NTP manpage by James G.
Willmore

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.60.0-3.mga4
+ Revision: 513809
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.60.0-2.mga3
+ Revision: 371222
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jun 04 2012 kharec <kharec> 0.60.0-1.mga3
+ Revision: 254011
- update to 0.06

* Sat Nov 05 2011 kharec <kharec> 0.40.0-1.mga2
+ Revision: 163469
- imported package perl-POE-Component-Client-NTP


* Sat Nov 05 2011 cpan2dist 0.04-1mga
- initial mageia release, generated with cpan2dist
